The officially official Devuan Forum!

You are not logged in.

#1 2023-07-04 18:17:18

0xf4b10
Member
Registered: 2018-05-12
Posts: 31  

How to install php 8.2 on chimaera?

I'm trying to install the newer version of php and I've added the "https://packages.sury.org/php" to my source list but when I try to install it, it fails with dependencies incompatibilities and doesn't let me install. I even tried using aptitude which uses to handle these kind of errors very nice but in this case it gave me no solution:

$ aptitude install php8.2
Warning: Invalid locale (please review locale settings, this might lead to problems later):
  locale::facet::_S_create_c_locale name not valid
The following NEW packages will be installed:
  php8.2{b}
0 packages upgraded, 1 newly installed, 0 to remove and 8 not upgraded.
Need to get 28.3 kB of archives. After unpacking 63.5 kB will be used.
The following packages have unmet dependencies:
php8.2 : Depends: libapache2-mod-php8.2 but it is not installable or
                   php8.2-fpm but it is not installable or
                   php8.2-cgi but it is not installable
          Depends: php8.2-common but it is not installable
The following actions will resolve these dependencies:

     Keep the following packages at their current version:
1)     php8.2 [Not Installed]

Accept this solution? [Y/n/q/?]

Offline

#2 2023-07-04 18:35:09

rolfie
Member
Registered: 2017-11-25
Posts: 1,105  

Re: How to install php 8.2 on chimaera?

Online

Board footer